summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-04-25 18:16:53 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-04-27 12:18:16 -0500
commitae90873332182c3f00a532885a579736b51a65e1 (patch)
treed5f04ca21ee3d21714edee01fb935b679e00f318
parent588c12beb852afaba4db9f8363d580f01d726ef7 (diff)
downloadslackbuilds-ae90873332182c3f00a532885a579736b51a65e1.tar.gz
slackbuilds-ae90873332182c3f00a532885a579736b51a65e1.tar.xz
games/atari800: Added (Atari 8-bit computer emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/atari800/README12
-rw-r--r--games/atari800/atari800.SlackBuild123
-rw-r--r--games/atari800/atari800.desktop10
-rw-r--r--games/atari800/atari800.info10
-rw-r--r--games/atari800/doinst.sh3
-rw-r--r--games/atari800/slack-desc19
6 files changed, 177 insertions, 0 deletions
diff --git a/games/atari800/README b/games/atari800/README
new file mode 100644
index 0000000000..d045d090ff
--- /dev/null
+++ b/games/atari800/README
@@ -0,0 +1,12 @@
+atari800 (Atari 8-bit computer emulator)
+
+This is free and portable Atari 8-bit computer and 5200 console emulator,
+originally written by David Firth and now developed by the Atari800
+Development Team. This program is copyrighted and released under the GPL.
+
+This build uses SDL for audio, and SDL+OpenGL for video by default. To
+build without OpenGL support (SDL software rendering only), set OPENGL=no
+in the script's environment.
+
+To run Atari software with atari800, you'll need the Atari system ROMs.
+These are packaged on SBo as atari800_roms.
diff --git a/games/atari800/atari800.SlackBuild b/games/atari800/atari800.SlackBuild
new file mode 100644
index 0000000000..af8fe5d1f5
--- /dev/null
+++ b/games/atari800/atari800.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for atari800
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=atari800
+VERSION=${VERSION:-3.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# allow bulding without OpenGL, in case someone needs it
+if [ "${OPENGL:-yes}" = "yes" ]; then
+ GLWITH="with"
+else
+ GLWITH="without"
+fi
+
+GLOPT="--$GLWITH-opengl"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+
+# Include some optional extras. The monitor stuff is nice if you're
+# developing code for the Atari, and the extra sound stuff makes for
+# a more accurate emulation. The R: device options might let someone
+# run an old-school Atari BBS you can telnet to.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ $GLOPT \
+ --with-video=sdl \
+ --with-sound=sdl \
+ --enable-monitorprofile \
+ --enable-monitorbreakpoints \
+ --enable-monitortrace \
+ --enable-seriosound \
+ --enable-riodevice \
+ --enable-rnetwork \
+ --enable-volonlysound \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DOC_DIR=/usr/doc/$PRGNAM-$VERSION MAN_DIR=/usr/man/man1 DESTDIR=$PKG
+
+gzip $PKG/usr/man/man1/$PRGNAM.1
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# 'make install' misses a lot of the docs, let's add them.
+cd ../DOC
+rm -f directx.txt
+cp -a BUGS CREDITS ChangeLog FAQ TODO *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cd ..
+
+# util/ is worth keeping, but mostly for reference (so it goes in /usr/doc)
+chmod -x util/*.* util/export
+cp -a util $PKG/usr/doc/$PRGNAM-$VERSION
+
+# the act/*.act files are palettes from the dark ages, leave them out.
+
+# nice copyright-friendly icon
+mkdir -p $PKG/usr/share/pixmaps
+cat data/atari2.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop file written for this build
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+sed "s,@WITH@,$GLWITH," $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/atari800/atari800.desktop b/games/atari800/atari800.desktop
new file mode 100644
index 0000000000..bac4592026
--- /dev/null
+++ b/games/atari800/atari800.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Name=Atari800 Emulator
+GenericName=Atari 8-Bit Emulator
+Type=Application
+Exec=atari800
+Icon=atari800
+Terminal=false
+StartupNotify=false
+Categories=Emulator;System;
diff --git a/games/atari800/atari800.info b/games/atari800/atari800.info
new file mode 100644
index 0000000000..5d06f81931
--- /dev/null
+++ b/games/atari800/atari800.info
@@ -0,0 +1,10 @@
+PRGNAM="atari800"
+VERSION="3.1.0"
+HOMEPAGE="http://atari800.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/atari800/atari800/3.1.0/atari800-3.1.0.tar.gz"
+MD5SUM="354f8756a7f33cf5b7a56377d1759e41"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="atari800_roms"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/atari800/doinst.sh b/games/atari800/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/atari800/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/atari800/slack-desc b/games/atari800/slack-desc
new file mode 100644
index 0000000000..ce022f0da0
--- /dev/null
+++ b/games/atari800/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+atari800: atari800 (Atari 8-bit computer emulator)
+atari800:
+atari800: This is free and portable Atari 8-bit computer and 5200 console
+atari800: emulator, originally written by David Firth and now developed by the
+atari800: Atari800 Development Team. This program is copyrighted and released
+atari800: under the GPL.
+atari800:
+atari800: This package built @WITH@ OpenGL support.
+atari800:
+atari800:
+atari800: